<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: rotation.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: rotation.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/** http://stackoverflow.com/questions/9614109/how-to-calculate-an-angle-from-points */
/** Hilfsfunktion um bei Drehung des Containers die Ausrichtung des Fingers zu haben */

/** 
* Hilfsfunktion für die Drehung des Conainers, hilft die Ausrichtung zum Mittelpunkt zu haben
* @global
* @function rotationAngle
* @param {number} cx X-Koordinate des aktuellen Ziels
* @param {number} cy Y-Koordinate des aktuellen Ziels
* @param {number} ex Position auf de X-Achse im Verhältnis zur Stage
* @param {number} ey Position auf de Y-Achse im Verhältnis zur Stage
* @returns {number} theta Winkel zwischen aktueller Koordinate des Ziels und normalisierter Position im Verhältnis zur Stage
*/
function rotationAngle(cx, cy, ex, ey) {
  var theta = angle(cx, cy, ex, ey); // range (-180, 180]
  if (theta &lt; 0){
	  theta = 360 + theta -90;
  }else{
	  theta-= 90;
  }	
  return theta;
}

/** 
* Hilfsfunktion für Funktion rotationAngle
* @global
* @funtion angle
* @param {number} cx X-Koordinate des aktuellen Ziels
* @param {number} cy Y-Koordinate des aktuellen Ziels
* @param {number} ex Position auf de X-Achse im Verhältnis zur Stage
* @param {number} ey Position auf de Y-Achse im Verhältnis zur Stage
* @returns {number} theta Winkel in Grad zwischen aktueller Koordinate des Ziels und normalisierter Position im Verhältnis zur Stage
*/
function angle(cx, cy, ex, ey) {
  var dy = ey - cy;
  var dx = ex - cx;
  var theta = Math.atan2(dy, dx); // range (-PI, PI]
  theta *= 180 / Math.PI; // rads to degs, range (-180, 180]
  return theta;
}

</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_caesarModule.html">caesarModule</a></li></ul><h3>Classes</h3><ul><li><a href="App.module_caesarModule-CaesarShape.html">CaesarShape</a></li><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#angle">angle</a></li><li><a href="global.html#animateCaesar">animateCaesar</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#caesarEntschluesselung">caesarEntschluesselung</a></li><li><a href="global.html#caesarVerschiebung">caesarVerschiebung</a></li><li><a href="global.html#caesarVerschluesselung">caesarVerschluesselung</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkChar">checkChar</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#crypAnimation">crypAnimation</a></li><li><a href="global.html#encrypAnimation">encrypAnimation</a></li><li><a href="global.html#initialRotation">initialRotation</a></li><li><a href="global.html#labelRotation">labelRotation</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeBtn">removeBtn</a></li><li><a href="global.html#removeShape">removeShape</a></li><li><a href="global.html#ringChars">ringChars</a></li><li><a href="global.html#rotationAngle">rotationAngle</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#startApp">startApp</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:14:53 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
